<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<title>Python: module Collatz</title>
</head><body>

<table class="heading">
<tr class="heading-text decor">
<td class="title">&nbsp;<br><strong class="title">Collatz</strong></td>
<td class="extra"><a href=".">index</a><br><a href="file:c%3A%5Cusers%5Cpunit%5Cdesktop%5Cse1%5Cproject1%5Ccs330e-collatz%5Ccollatz.py">c:\users\punit\desktop\se1\project1\cs330e-collatz\collatz.py</a></td></tr></table>
    <p><span class="code">#&nbsp;---------------------------<br>
#&nbsp;projects/collatz/Collatz.py<br>
#&nbsp;Copyright&nbsp;(C)<br>
#&nbsp;Glenn&nbsp;P.&nbsp;Downing<br>
#&nbsp;---------------------------</span></p>
<p>
<table class="section">
<tr class="decor functions-decor heading-text">
<td class="section-title" colspan=3>&nbsp;<br><strong class="bigsection">Functions</strong></td></tr>
    
<tr><td class="decor functions-decor"><span class="code">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span></td><td>&nbsp;</td>
<td class="singlecolumn"><dl><dt><a name="-collatz_eval"><strong>collatz_eval</strong></a>(i, j)</dt><dd><span class="code">i&nbsp;the&nbsp;beginning&nbsp;of&nbsp;the&nbsp;range,&nbsp;inclusive<br>
j&nbsp;the&nbsp;end&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;of&nbsp;the&nbsp;range,&nbsp;inclusive<br>
return&nbsp;the&nbsp;max&nbsp;cycle&nbsp;length&nbsp;of&nbsp;the&nbsp;range&nbsp;[i,&nbsp;j]</span></dd></dl>
 <dl><dt><a name="-collatz_print"><strong>collatz_print</strong></a>(w, i, j, v)</dt><dd><span class="code">print&nbsp;three&nbsp;ints<br>
w&nbsp;a&nbsp;writer<br>
i&nbsp;the&nbsp;beginning&nbsp;of&nbsp;the&nbsp;range,&nbsp;inclusive<br>
j&nbsp;the&nbsp;end&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;of&nbsp;the&nbsp;range,&nbsp;inclusive<br>
v&nbsp;the&nbsp;max&nbsp;cycle&nbsp;length</span></dd></dl>
 <dl><dt><a name="-collatz_read"><strong>collatz_read</strong></a>(s)</dt><dd><span class="code">read&nbsp;two&nbsp;ints<br>
s&nbsp;a&nbsp;string<br>
return&nbsp;a&nbsp;list&nbsp;of&nbsp;two&nbsp;ints,&nbsp;representing&nbsp;the&nbsp;beginning&nbsp;and&nbsp;end&nbsp;of&nbsp;a&nbsp;range,&nbsp;[i,&nbsp;j]</span></dd></dl>
 <dl><dt><a name="-collatz_solve"><strong>collatz_solve</strong></a>(r, w)</dt><dd><span class="code">r&nbsp;a&nbsp;reader<br>
w&nbsp;a&nbsp;writer</span></dd></dl>
</td></tr></table>
</body></html>